### Class

# GtkKeyvalTrigger

#### Description [src]

    final class Gtk.KeyvalTrigger : Gtk.ShortcutTrigger
    {
      /* No available fields */
    }

A `GtkShortcutTrigger` that triggers when a specific keyval and modifiers are pressed.

#### Hierarchy

#### Ancestors

- GtkShortcutTrigger
- GObject

#### Constructors

###### gtk_keyval_trigger_new

Creates a `GtkShortcutTrigger` that will trigger whenever the key with the given `keyval` and `modifiers` is pressed.

#### Instance methods

###### gtk_keyval_trigger_get_keyval

Gets the keyval that must be pressed to succeed triggering `self`.

###### gtk_keyval_trigger_get_modifiers

Gets the modifiers that must be present to succeed triggering `self`.

##### Methods inherited from GtkShortcutTrigger (8)

###### gtk_shortcut_trigger_compare

The types of `trigger1` and `trigger2` are `gconstpointer` only to allow use of this function as a `GCompareFunc`.

###### gtk_shortcut_trigger_equal

Checks if `trigger1` and `trigger2` trigger under the same conditions.

###### gtk_shortcut_trigger_hash

Generates a hash value for a `GtkShortcutTrigger`.

###### gtk_shortcut_trigger_print

Prints the given trigger into a string for the developer. This is meant for debugging and logging.

###### gtk_shortcut_trigger_print_label

Prints the given trigger into a string.

###### gtk_shortcut_trigger_to_label

Gets textual representation for the given trigger.

###### gtk_shortcut_trigger_to_string

Prints the given trigger into a human-readable string.

###### gtk_shortcut_trigger_trigger

Checks if the given `event` triggers `self`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.KeyvalTrigger:keyval

The key value for the trigger.

###### Gtk.KeyvalTrigger:modifiers

The key modifiers for the trigger.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkKeyvalTriggerClass {
      /* no available fields */
    }

No description available.